=== debian/changelog ===
firmware-tomu (2.0~rc7-2) unstable; urgency=medium

  * Update Standards-Version to 4.4.1 (no changes needed).
  * Use debhelper-compat instead of debian/compat.
  * d/control: set Rules-Requires-Root.
  * Use the full Salsa Pipeline.
  * d/rules: set full hardening build options.
  * d/salsa-ci.yml: rename from d/gitlab-ci.yml and allow reprepro to fail.
  * d/firmware-tomu.metainfo.xml: relicence to MIT for inclusing in AppStream.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 15 Nov 2019 00:19:53 -0500

firmware-tomu (2.0~rc7-1) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Initial release (Closes: #926417)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 24 Mar 2019 13:17:44 -0400
