=== debian/control ===
Source: firmware-tomu
Section: misc
Priority: optional
Maintainer: Louis-Philippe Véronneau <pollo@debian.org>
Rules-Requires-Root: no
Build-Depends: gcc-arm-none-eabi,
 libnewlib-arm-none-eabi,
 libstdc++-arm-none-eabi-newlib,
 dfu-util,
 debhelper-compat (= 12),
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian/firmware-tomu.git
Vcs-Browser: https://salsa.debian.org/debian/firmware-tomu
Homepage: https://github.com/im-tomu/tomu-bootloader

Package: firmware-tomu
Architecture: all
Depends: dfu-util, ${misc:Depends}
Description: Bootloader for the EFM32HG Tomu Board
 The Tomu is a tiny ARM microprocessor which fits in your USB port. It has two
 buttons and two LEDs!
 .
 The board is fully open source and is buildable by hobbyists! Designed for
 2-factor authentication, usb experiments, or anything else you can think of.
 .
 This package provides the bootloader for the Tomu board to make flashing it
 easier.
